Bug 1130217 - [abrt] xfce4-panel: gtk_tree_view_column_set_title(): wrapper killed by SIGSEGV
Summary: [abrt] xfce4-panel: gtk_tree_view_column_set_title(): wrapper killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:15635bb5c267462daba4e86939a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 14:53 UTC by Justin Matlock
Modified: 2015-06-30 01:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:07:25 UTC


Attachments (Terms of Use)
File: backtrace (17.29 KB, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: cgroup (187 bytes, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: core_backtrace (7.56 KB, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: dso_list (7.95 KB, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: environ (1.73 KB, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: maps (39.45 KB, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: open_fds (628 bytes, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: proc_pid_status (1.74 KB, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details
File: var_log_messages (214 bytes, text/plain)
2014-08-14 14:53 UTC, Justin Matlock
no flags Details

Description Justin Matlock 2014-08-14 14:53:37 UTC
Version-Release number of selected component:
xfce4-panel-4.10.1-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libweather.so 22 23196429 weather 'Weather Update' 'Show current weather conditions' ''
crash_function: gtk_tree_view_column_set_title
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1283476452

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gtk_tree_view_column_set_title at gtktreeviewcolumn.c:2121
 #1 cb_searchdone at weather-search.c:128
 #2 soup_session_process_queue_item at soup-session.c:1873
 #3 async_run_queue at soup-session.c:1911
 #4 idle_run_queue at soup-session.c:1945
 #9 gtk_main at gtkmain.c:1257

Comment 1 Justin Matlock 2014-08-14 14:53:39 UTC
Created attachment 926837 [details]
File: backtrace

Comment 2 Justin Matlock 2014-08-14 14:53:39 UTC
Created attachment 926838 [details]
File: cgroup

Comment 3 Justin Matlock 2014-08-14 14:53:40 UTC
Created attachment 926839 [details]
File: core_backtrace

Comment 4 Justin Matlock 2014-08-14 14:53:41 UTC
Created attachment 926840 [details]
File: dso_list

Comment 5 Justin Matlock 2014-08-14 14:53:41 UTC
Created attachment 926841 [details]
File: environ

Comment 6 Justin Matlock 2014-08-14 14:53:42 UTC
Created attachment 926842 [details]
File: exploitable

Comment 7 Justin Matlock 2014-08-14 14:53:42 UTC
Created attachment 926843 [details]
File: limits

Comment 8 Justin Matlock 2014-08-14 14:53:43 UTC
Created attachment 926844 [details]
File: maps

Comment 9 Justin Matlock 2014-08-14 14:53:44 UTC
Created attachment 926845 [details]
File: open_fds

Comment 10 Justin Matlock 2014-08-14 14:53:44 UTC
Created attachment 926846 [details]
File: proc_pid_status

Comment 11 Justin Matlock 2014-08-14 14:53:45 UTC
Created attachment 926847 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-08-14 15:41:00 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 13 Fedora End Of Life 2015-05-29 12:38:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-30 01:07:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.